//wersja 1.16 (z plywajacym menu)
//(c) by Marcin Wiacek (http://marcin-wiacek.topnet.pl)

//konwersja polskich liter w "jawnej" postaci
function konwertuj(tekst,z,na)
{
  var wynik="";
  for (var j=0;j<tekst.length;++j)
  {
    var literka=tekst.charAt(j);
    for (var i=0;i<18;++i)
    {
      if (literka==z.charAt(i))
      {
        literka=na.charAt(i);
        break;
      }
    }
    wynik=wynik+literka;
  }
  return wynik;
}

//konwertuje polskie litery (w formacie format HTML Workshop lub Win1250) na ISO 8859-2
function polskie (tekst)
{
  var wynik=konwertuj(tekst,"󜿟ʣӌ","󶿼ʣӦ"); //wpierw konwersja polskich liter w "jawnej" postaci
  while (wynik.indexOf('&sup1;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&sup1;'))+''+wynik.substring(wynik.indexOf('&sup1;')+6,wynik.length)}
  while (wynik.indexOf('&aelig;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&aelig;'))+''+wynik.substring(wynik.indexOf('&aelig;')+7,wynik.length)}
  while (wynik.indexOf('&ecirc;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&ecirc;'))+''+wynik.substring(wynik.indexOf('&ecirc;')+7,wynik.length)}
  while (wynik.indexOf('&sup3;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&sup3;'))+''+wynik.substring(wynik.indexOf('&sup3;')+6,wynik.length)}
  while (wynik.indexOf('&ntilde;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&ntilde;'))+''+wynik.substring(wynik.indexOf('&ntilde;')+8,wynik.length)}
  while (wynik.indexOf('&oacute;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&oacute;'))+''+wynik.substring(wynik.indexOf('&oacute;')+8,wynik.length)}
  while (wynik.indexOf('&iquest;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&iquest;'))+''+wynik.substring(wynik.indexOf('&iquest;')+8,wynik.length)}
  while (wynik.indexOf('&yen;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&yen;'))+''+wynik.substring(wynik.indexOf('&yen;')+5,wynik.length)}
  while (wynik.indexOf('&AElig;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&AElig;'))+''+wynik.substring(wynik.indexOf('&AElig;')+7,wynik.length)}
  while (wynik.indexOf('&Ecirc;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&Ecirc;'))+''+wynik.substring(wynik.indexOf('&Ecirc;')+7,wynik.length)}
  while (wynik.indexOf('&pound;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&pound;'))+''+wynik.substring(wynik.indexOf('&pound;')+7,wynik.length)}
  while (wynik.indexOf('&Ntilde;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&Ntilde;'))+''+wynik.substring(wynik.indexOf('&Ntilde;')+8,wynik.length)}
  while (wynik.indexOf('&Oacute;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&Oacute;'))+''+wynik.substring(wynik.indexOf('&Oacute;')+8,wynik.length)}
  while (wynik.indexOf('&hibar;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&hibar;'))+''+wynik.substring(wynik.indexOf('&hibar;')+7,wynik.length)}
  return wynik;
}

//polskie ogonki HTML Workshop lub literki w Win1250 przerabia na lacinskie i usuwa znak '
function polskie2 (tekst)
{
  var wynik=konwertuj(tekst,"󜿟ʣӌ","acelnoszzACELNOSZZ"); //wpierw konwersja polskich liter w "jawnej" postaci
  while (wynik.indexOf('\'')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('\''))+''+wynik.substring(wynik.indexOf('\'')+1,wynik.length)}
  while (wynik.indexOf('&sup1;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&sup1;'))+'a'+wynik.substring(wynik.indexOf('&sup1;')+6,wynik.length)}
  while (wynik.indexOf('&aelig;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&aelig;'))+'c'+wynik.substring(wynik.indexOf('&aelig;')+7,wynik.length)}
  while (wynik.indexOf('&ecirc;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&ecirc;'))+'e'+wynik.substring(wynik.indexOf('&ecirc;')+7,wynik.length)}
  while (wynik.indexOf('&sup3;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&sup3;'))+'l'+wynik.substring(wynik.indexOf('&sup3;')+6,wynik.length)}
  while (wynik.indexOf('&ntilde;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&ntilde;'))+'n'+wynik.substring(wynik.indexOf('&ntilde;')+8,wynik.length)}
  while (wynik.indexOf('&oacute;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&oacute;'))+'o'+wynik.substring(wynik.indexOf('&oacute;')+8,wynik.length)}
  while (wynik.indexOf('&iquest;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&iquest;'))+'z'+wynik.substring(wynik.indexOf('&iquest;')+8,wynik.length)}
  while (wynik.indexOf('&yen;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&yen;'))+'A'+wynik.substring(wynik.indexOf('&yen;')+5,wynik.length)}
  while (wynik.indexOf('&AElig;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&AElig;'))+'C'+wynik.substring(wynik.indexOf('&AElig;')+7,wynik.length)}
  while (wynik.indexOf('&Ecirc;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&Ecirc;'))+'E'+wynik.substring(wynik.indexOf('&Ecirc;')+7,wynik.length)}
  while (wynik.indexOf('&pound;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&pound;'))+'L'+wynik.substring(wynik.indexOf('&pound;')+7,wynik.length)}
  while (wynik.indexOf('&Ntilde;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&Ntilde;'))+'N'+wynik.substring(wynik.indexOf('&Ntilde;')+8,wynik.length)}
  while (wynik.indexOf('&Oacute;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&Oacute;'))+'O'+wynik.substring(wynik.indexOf('&Oacute;')+8,wynik.length)}
  while (wynik.indexOf('&hibar;')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('&hibar;'))+'Z'+wynik.substring(wynik.indexOf('&hibar;')+7,wynik.length)}
  return wynik;
}

//zamienia \ na / w nazwach plikow i konwertuje litery na male
//(w Unixie wielkosc liter jest bowiem wazna)
function zamien(nazwa)
{
  var wynik=nazwa;
  while (wynik.indexOf('\\')!=-1)
    {wynik=wynik.substring(0,wynik.indexOf('\\'))+'/'+wynik.substring(wynik.indexOf('\\')+1,wynik.length)}
  wynik=wynik.toLowerCase();
  return wynik;
}

var fs=WScript.CreateObject("Scripting.FileSystemObject");
fs.CreateTextFile("spis.htm");
var f=fs.GetFile("spis.htm");
var fs=f.OpenAsTextStream(2,0);
fs.WriteLine("<HTML>");
fs.WriteLine("<HEAD>");
fs.WriteLine("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-2\">");
fs.WriteLine("<meta name=\"Author\" content=\"Marcin Wicek\">");
fs.WriteLine("<title>Strona Marcina - spis treci</title>");

fs.WriteLine("<STYLE TYPE='text/css'><!--");
fs.WriteLine("<!-- style z Fan Klubu Nokii (www.fkn.pl> -->");
fs.WriteLine("<!-- nieznacznie zmienione na potrzeby -->");
fs.WriteLine("<!-- strony Marcina Wicka (www.marcin-wiacek.topnet.pl) -->");
fs.WriteLine("BODY {font-family: Arial, Helvetica; margin-left:0pt; margin-right:0pt; margin-top:0pt; margin-bottom:0pt; font-weight: normal; font-size:10pt; text-decoration: none; color:#2B2B69}");
fs.WriteLine("P {font-family: Arial, Helvetica; font-weight: normal; font-size:10pt; text-decoration: none; color:#2B2B69}");
fs.WriteLine("font.menu {font-family: Arial, Helvetica; font-weight: bold; font-size:8pt; text-decoration: none; color:#2B2B69}");
fs.WriteLine("a.menu {font-family: Arial, Helvetica; font-weight: bold; font-size:8pt; text-decoration: none; color:#525FF5}");
fs.WriteLine("a.menu:hover {font-family: Arial, Helvetica; font-weight: bold; font-size:8pt; text-decoration: underline; color:#1F409F}");
fs.WriteLine("a.menu:active {font-family: Arial, Helvetica; font-weight: bold; font-size:8pt; text-decoration: underline; color:#2FA030}");
fs.WriteLine("--></STYLE>");

fs.WriteLine("<SCRIPT LANGUAGE=JavaScript>"); //rozpoznanie wersji przegladarki
fs.WriteLine("var ie=(document.all)?true:false;var nn=(document.layers)?true:false;"); //IE i NN >= 4

fs.WriteLine("function cache()"); //0=spis nie zostal zaladowany na moja strone, 1=zaladowany, ale nie ma cache, 2=jest cache
fs.WriteLine("{var wynik=0;if (top.frames.length==2 && top.frames[0].document.title=='Spis tresci - gora')");
fs.WriteLine("{if (!top.frames[0].cache_spis) {wynik=1} else {wynik=2}}return wynik}");

fs.WriteLine("function minit(ilosc) {for (i=0;i<ilosc;++i) this[i]=0;this.length=ilosc;return this}"); //inicjacja tablicy z cache
fs.WriteLine("function mpos() {this.visibility='none'}"); //inicjacja tablicy z cache

fs.WriteLine("function mclick(nr)"); //wywolywana przy kliknieciu katalogu (tylko w IE >= 4)
fs.WriteLine("{if (ie) {eval(\"var object=document.all('nr\"+nr+\"');\");");
  fs.WriteLine("if (object.style.display=='none')");
    fs.WriteLine("{object.style.display=''; document.images[nr].src='dir1.gif'} else");
    fs.WriteLine("{object.style.display='none'; document.images[nr].src='dir0.gif'}");
fs.WriteLine("if (cache()==2) {top.frames[0].cache_sp[nr].visibility=object.style.display}}}");

fs.WriteLine("function zwin ()"); //zwija spis tresci w IE >= 4
fs.WriteLine("{if (ie){if (cache()==1){top.frames[0].cache_sp=new minit(document.images.length);"); //inicjacja cachu
fs.WriteLine("for (i=0;i<document.images.length;++i) {top.frames[0].cache_sp[i]=new mpos()}top.frames[0].cache_spis=true}");
fs.WriteLine("if (cache()==2) {for (i=0;i<document.images.length;++i) {if (document.images[i].src.indexOf('dir1.gif')!=-1 && top.frames[0].cache_sp[i].visibility=='none') mclick(i)}}"); //zwija sprawdzajac cache
fs.WriteLine("else {for (i=0;i<document.images.length;++i) {if (document.images[i].src.indexOf('dir1.gif')!=-1) mclick(i)}}}}"); //zwija bez cachu

fs.WriteLine("function ld(nr,n) {window.status=n} function lo() {window.status=''}</SCRIPT>");

fs.WriteLine("<SCRIPT LANGUAGE=JavaScript1.2>"); //IE i NN >= 4

fs.WriteLine("if (nn) {document.onmousemove=mouseMove;document.captureEvents(Event.MOUSEMOVE)}");

fs.WriteLine("function mouseMove(e)"); //przy przesuwaniu mysza w ramce w NN >= 4
fs.WriteLine("{if (nn) {obj.top=e.pageY+14}}"); //x=0, gdyz inaczej nie miesci sie calosc (NN nie radzi sobie ze zmiana szerokosci)

fs.WriteLine("function ld(nr,n)"); //przy najechaniu na adres
fs.WriteLine("{if (nn) {var lyr=document.Popup.document;lyr.write(\"<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD BGCOLOR=#000000 COLSPAN=5 HEIGHT=1><IMG SRC=dir0.gif WIDTH=1 HEIGHT=1></TD></TR><TR><TD WIDTH=1 BGCOLOR=#000000><IMG SRC=dir0.gif WIDTH=1 HEIGHT=1></TD><TD WIDTH=2 BGCOLOR=#FFFFDF><IMG SRC=dir0.gif WIDTH=1 HEIGHT=1></TD><TD BGCOLOR=#FFFFDF>\"+n+\"</TD><TD WIDTH=2 BGCOLOR=#FFFFDF><IMG SRC=dir0.gif WIDTH=1 HEIGHT=1></TD><TD WIDTH=1 BGCOLOR=#000000><IMG SRC=dir0.gif WIDTH=1 HEIGHT=1></TD></TR><TR><TD HEIGHT=1 COLSPAN=5 BGCOLOR=#000000><IMG SRC=dir0.gif WIDTH=1 HEIGHT=1></TD></TR></TABLE>\");lyr.close();obj.visibility=\"visible\"}");
fs.WriteLine("if (ie) {if (cache()!=0) {document.links[nr+1].title=n} else {document.links[nr].title=n}}");
fs.WriteLine("window.status=n}");
fs.WriteLine("function lo() {if (nn) obj.visibility='hidden';window.status=''}</SCRIPT>"); //przy zjechaniu z adresu

fs.WriteLine("</head>");
fs.WriteLine("<body bgcolor=\"#FFFFFF\" text=\"#2B2B69\" link=\"#525FF5\" vlink=\"#525FF5\" alink=\"#2FA030\">");

fs.WriteLine("<div id='Popup' style='position:absolute;visibility:hidden'></div>");

fs.WriteLine("<SCRIPT LANGUAGE=JavaScript1.2>");
fs.WriteLine("if (nn) var obj=document.layers['Popup'];</SCRIPT>");

fs.WriteLine("<font name='Arial, Helvetica'><nobr>");

fs.WriteLine("<SCRIPT LANGUAGE=JavaScript1.2>");
fs.WriteLine("if (ie && cache()!=0)"); //cache=0, wiec nie ma sensu tego pisac
fs.WriteLine(" {var tekst=\"Kliknij, aby zakotwiczyc menu\";var tekst2='';");
fs.WriteLine("  var nazwaplikud=top.frames[1].location.href.toUpperCase(); if (nazwaplikud.indexOf('SPIS_D.HTM')!=-1) {tekst=\"Kliknij, aby usunac menu\"}");
fs.WriteLine("  document.write(\"<a class=menu onmouseover='window.status=tekst;return true' onmouseout='window.status=tekst2;return true' href=javascript:top.frames[0].fl()>\"+tekst+\"</a><hr width=100%>\")}");
fs.WriteLine("</SCRIPT>");

var fs2=WScript.CreateObject("Scripting.FileSystemObject");
var f=fs2.GetFile("spis.hhc");
var fs2=f.OpenAsTextStream(1,0);

var poziom=-1;
var linia='';
var nazwa='';

var numer=0;

while (!fs2.AtEndOfStream)
{
  linia=fs2.ReadLine();

  //poziomy zaglebienia +-
  if (linia.indexOf("<UL>")!=-1) poziom++;
  if (linia.indexOf("</UL>")!=-1)
  {
    poziom=poziom-1;
    fs.WriteLine('</font>');
  }

  //szuka <param name="Name"
  var a=linia.indexOf("<param name=\"Name\"");
  if (a!=-1)
  {
    //znalazl <param name="Name" , wiec tworzy nazwe
    nazwa=linia.substring(a+26,linia.length-2);
  }

  //szuka <param name="Local"
  var a=linia.indexOf("<param name=\"Local\"");
  if (a!=-1)
  {
    //znalazl <param name="Local" , wiec koniec pozycji w katalogu
    var nazwa2=zamien(linia.substring(a+27,linia.length-2)); //nazwa pliku
    var adr2='';
    for (q=0;q<nazwa2.length;++q)
    {
      if (nazwa2.charAt(q)=='/')
      {
        adr2=adr2+'//';
      } else
      {
        adr2=adr2+nazwa2.charAt(q);
      }
    }
    var fsx=WScript.CreateObject("Scripting.FileSystemObject");
    if (!fsx.FileExists(adr2)) WScript.Echo("Brak pliku \""+nazwa2+"\"");
    var file_ext=nazwa2.substring(nazwa2.length-3,nazwa2.length);
    if (!fsx.FileExists(file_ext+'.gif')) WScript.Echo("Brak ikony w pliku \""+file_ext+".gif\"");
    var linijka="";
    for (i=0;i<poziom;++i) linijka=linijka+'&nbsp;&nbsp;&nbsp;&nbsp;';
    linijka=linijka+"<img SRC=\""+file_ext+".gif\" height=16 width=16>&nbsp;<A onmouseover=\"ld("+numer+",'"+polskie2(nazwa)+"');return true\" onmouseout=\"lo();return true\" class=menu target=main HREF="+nazwa2+">"+polskie(nazwa)+"</A><BR>";
    fs.WriteLine(linijka);
    nazwa='';
    numer++;
  }

  //zakonczenie katalogu - znalazl </OBJECT>
  if (linia.indexOf("</OBJECT>")!=-1 && nazwa!='')
  {
    var linijka='';
    for (i=0;i<poziom;++i) linijka=linijka+'&nbsp;&nbsp;&nbsp;&nbsp;';
    linijka=linijka+"<img SRC=\"dir1.gif\" height=16 width=16>&nbsp;<a onmouseover=\"window.status=''; return true\" class=menu href=javascript:mclick("+numer+")>"+polskie(nazwa)+"</a><br><font id=nr"+numer+">";
    fs.WriteLine(linijka);
    nazwa='';
    numer++;
  }
}

fs.WriteLine("<SCRIPT>zwin();</SCRIPT>");
fs.WriteLine("</nobr></font></body></html>");
fs2.close();

fs.close();